
<div class="header">
    <div class="d-flex mb-3">
        <a routerLink="/public-procurement/all-list"><i class="bi bi-chevron-left me-4"></i></a>
        <h5>{{'state.request' | translate}}</h5>
    </div>
    <form [formGroup]="form">
    <div class="row mb-3">
        <span class="fs-5 fw-semibold mb-2">{{'state.about' | translate}}</span>
        <div class="d-flex flex-column col-md-4 mb-3">
            <div class="col mb-2">
                <label class="form-label">{{'state.item' | translate}} <span class="text-danger">*</span></label>
                <select class="form-select" formControlName="itemId" (change)="chooseItem($event)">
                    <option [value]="i.id" *ngFor="let i of orderList">{{i.name}}</option>
                </select>
            </div>
            <div class="col mb-2">
                <label class="form-label">{{'state.categories' | translate}} <span class="text-danger">*</span></label>
                <select class="form-select" formControlName="categoryId">
                    <option [value]="i.id" *ngFor="let i of categories">{{i.name}}</option>
                </select>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col">
                <label class="form-label">{{'state.nameItem' | translate}} <span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="name" placeholder="{{'state.nameItemHolder'| translate}}">
            </div>
            <div class="col">
                <label class="form-label">{{'state.unit' | translate}} <span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="unit" placeholder="{{'state.unitHolder'| translate}}">
            </div>
            <div class="col">
                <label class="form-label">{{'state.quantity' | translate}} <span class="text-danger">*</span></label>
                <input type="text" class="form-control" formControlName="quantity" placeholder="100">
            </div>
        </div>
        <div class="col-md-6 mb-2">
            <div class="mt-3">
                <label class="form-label">{{'state.discription' | translate}} <span class="text-danger">*</span></label>
                <textarea class="form-control" id="comment" cols="10" rows="5" formControlName="comment" placeholder="{{'humanresources.comment'| translate}}"></textarea>
            </div>
            <div class="mt-3">
                <label class="form-label">{{'state.attachFile' | translate}}</label>
                <input type="file" class="form-control" (input)="fileChange($event)" multiple>
            </div>
            </div>
        </div>
        <div class="row col-md-3 px-2">
           <button class="btn btn-primary" (click)="submit()">{{'state.direct' | translate}}</button>
        </div>
    </form>
</div>
